package org.jeecg.ctop.finance.policy.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.ctop.finance.policy.entity.CwjsCompanySubject;

/**
 * 公司主体表
 * @author jeecg-boot
 * 2021-07-28
 * @version V1.0
 */
public interface CwjsCompanySubjectMapper extends BaseMapper<CwjsCompanySubject> {
    List<CwjsCompanySubject> queryAllSubjectName();

    List<CwjsCompanySubject>  queryByCompanyId(String companyId);

    Integer queryIdBySubjectNameAndArea(String companySubjectName, String areaInfo);
}
